Uploaded image for project: 'ActiveMQ'
  1. ActiveMQ
  2. AMQ-6816

[OSGi] Client and broker bundles export the same package "org.apache.activemq.broker"

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 5.15.0
    • Fix Version/s: None
    • Component/s: Broker, JMS client
    • Labels:
      None
    • Environment:

      Equinox 4.5.0

      Description

      If the bundles client and broker are used together in an OSGi framework like Equinox, you can't use the Import-Package statement for "org.apache.activemq.broker", because both bundles export this package. So you are forced to use Required-Bundle for importing the classes to our own bundle. Furthermore, it isn't OSGi best practice that various bundles export the same package.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              s.parsick Sandra Parsick
            • Votes:
              1 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: